import {BlockPermutation} from "@minecraft/server";

const permutate = {
	onPlace({block}) {update_blocks(block)},
	onPlayerDestroy({block}) {update_blocks(block)}
};

function update_blocks(block) {

	const blocks = [
		block,
		block.north(1),
		block.south(1),
		block.east(1),
		block.west(1)
	];
	blocks.forEach(block => {
		if (block.typeId !== "tms_mlb:table.dining") return;
		
		const blocks = [
			block.north(1),
			block.south(1),
			block.east(1),
			block.west(1),
		];

		const new_states = BlockPermutation.resolve(block.typeId, {
			"tms_mlb:leg_ne": blocks[0].typeId === "tms_mlb:table.dining" || blocks[2].typeId === "tms_mlb:table.dining",
			"tms_mlb:leg_se": blocks[1].typeId === "tms_mlb:table.dining" || blocks[2].typeId === "tms_mlb:table.dining",
			"tms_mlb:leg_nw": blocks[0].typeId === "tms_mlb:table.dining" || blocks[3].typeId === "tms_mlb:table.dining",
			"tms_mlb:leg_sw": blocks[1].typeId === "tms_mlb:table.dining" || blocks[3].typeId === "tms_mlb:table.dining",
		});
		block.setPermutation(new_states);
	});
}

export {
	permutate
};